# OnPrepareForLine(MarkupParseResult,TMP\_Text)

Method in [ActionMarkupHandler](/api/csharp/yarn.unity/yarn.unity.actionmarkuphandler.md)

## Summary

Called when the line view receives the line, to prepare for showing the line.

```csharp
public abstract void OnPrepareForLine(MarkupParseResult line, TMP_Text text);
```

## Remarks

This method is called before any part of the line is visible, and is an opportunity to set up any part of the [ActionMarkupHandler](/api/csharp/yarn.unity/yarn.unity.actionmarkuphandler.md) 's display before the user can see it.

## Parameters

| Name                                                                               | Description                                                    |
| ---------------------------------------------------------------------------------- | -------------------------------------------------------------- |
| [MarkupParseResult](/api/csharp/yarn.markup/yarn.markup.markupparseresult.md) line | The line being presented.                                      |
| `TMP_Text` text                                                                    | A `TMPro.TMP_Text` object that the line is being displayed in. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.actionmarkuphandler/yarn.unity.actionmarkuphandler.onprepareforline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
